/// <reference types="react" />
import { ResizeType } from '../Resizable';
import { AllProps, IState, ISpaceContext } from './Types';
export declare const getSizeString: (size: string | number) => string;
export declare const isFilledSpace: (props: AllProps) => boolean;
export declare const isHorizontalSpace: (props: AllProps) => boolean | undefined;
export declare const isVerticalSpace: (props: AllProps) => boolean | undefined;
export declare const initialState: (props: AllProps) => {
    id: string;
    currentWidth: number;
    currentHeight: number;
    adjustedSize: number;
    adjustedLeft: number;
    adjustedTop: number;
    spaceTakers: never[];
    parsedSize: number | undefined;
    left: string | number | undefined;
    top: string | number | undefined;
    right: string | number | undefined;
    bottom: string | number | undefined;
    width: string | number | undefined;
    height: string | number | undefined;
    debug: boolean;
};
export declare const createContext: (state: IState, setState: (stateDelta: Partial<IState>) => void, parent: ISpaceContext | null, zIndex: number) => ISpaceContext;
export declare const applyResize: (props: AllProps, state: IState, setState: (stateDelta: Partial<IState>) => void, parentContext: ISpaceContext | null, handleSize: number) => {
    resizeHandle: JSX.Element;
    resizeType: ResizeType;
} | {
    resizeHandle: null;
    resizeType: null;
};
